OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP209
StepFEA

# StepFEA_DegreeOfFreedom Class Reference

Representation of STEP SELECT type DegreeOfFreedom
.

`#include <StepFEA_DegreeOfFreedom.hxx>`

Inheritance diagram for StepFEA_DegreeOfFreedom:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepFEA_DegreeOfFreedom ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of CurveElementFreedom select type return 0 .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&ent) const
| Recognizes a items of select member CurveElementFreedomMember 1 -> EnumeratedCurveElementFreedom 2 -> ApplicationDefinedDegreeOfFreedom 0 else .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a new select member the type CurveElementFreedomMember .
Standard_EXPORT void | SetEnumeratedDegreeOfFreedom (const StepFEA_EnumeratedDegreeOfFreedom aVal)
| Returns Value as EnumeratedDegreeOfFreedom (or Null if another type) .
Standard_EXPORT StepFEA_EnumeratedDegreeOfFreedom | EnumeratedDegreeOfFreedom () const
| Returns Value as EnumeratedDegreeOfFreedom (or Null if another type) .
Standard_EXPORT void | SetApplicationDefinedDegreeOfFreedom (const Handle(TCollection_HAsciiString)&aVal)
| Set Value for ApplicationDefinedDegreeOfFreedom .
Standard_EXPORT Handle_TCollection_HAsciiString | ApplicationDefinedDegreeOfFreedom () const
| Returns Value as ApplicationDefinedDegreeOfFreedom (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_DegreeOfFreedom::StepFEA_DegreeOfFreedom | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepFEA_DegreeOfFreedom::ApplicationDefinedDegreeOfFreedom | ( |  | ) | const

virtual Standard_EXPORT Standard_Integer StepFEA_DegreeOfFreedom::CaseMem | ( | const Handle(StepData_SelectMember)& | ent | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepFEA_DegreeOfFreedom::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT StepFEA_EnumeratedDegreeOfFreedom StepFEA_DegreeOfFreedom::EnumeratedDegreeOfFreedom | ( |  | ) | const

virtual Standard_EXPORT Handle_StepData_SelectMember StepFEA_DegreeOfFreedom::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepFEA_DegreeOfFreedom::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_DegreeOfFreedom::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepFEA_DegreeOfFreedom::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT void StepFEA_DegreeOfFreedom::SetApplicationDefinedDegreeOfFreedom | ( | const Handle(TCollection_HAsciiString)& | aVal | ) |

Standard_EXPORT void StepFEA_DegreeOfFreedom::SetEnumeratedDegreeOfFreedom | ( | const StepFEA_EnumeratedDegreeOfFreedom | aVal | ) |

The documentation for this class was generated from the following file:

- StepFEA_DegreeOfFreedom.hxx